body {
    margin: 0;
    padding: 0;

    box-sizing: border-box;
}

h1, h2, input, select, option {
    all: unset;
}

a, a:hover, a:visited {
    color: var(--white);
    text-decoration: none;
}

p {
    margin: 0;
    padding: 0;
}

p:not(:last-of-type) {
    padding-block-end: 1rem;
}

input {
    border-block-end: 2px solid var(--black);
}

button {
    background: none;
	color: inherit;
	border: none;
	padding: 0;
	font: inherit;
	cursor: pointer;
	outline: inherit;
}

main {
    padding-inline: 2rem;
    padding-block-end: 2rem;
    background-color: var(--white);
}

.blueprint {
    background-color: var(--primary-color);
    background-image: linear-gradient(to right, hsl(from var(--white) h s l / 0.1) 2px, transparent 2px), linear-gradient(to bottom, hsl(from var(--white) h s l / 0.1) 2px, transparent 2px);
    background-size: 2.75rem 2.75rem;
    background-position: -2px 0px;
    background-repeat: repeat;
}

.section-heading {
    padding-block: 2rem;
    
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 1rem;
    flex-wrap: wrap;
    
    font-family: "Zilla Slab", serif;
    font-size: 2rem;
}

#product-grid-dropdown {
    padding: 0.2rem 0.5rem;
    font-size: 1.3rem;
    border: 2px solid var(--black);
    cursor: pointer;
}

.primary-btn {
    padding: 0.5rem 1rem;
    
    min-width: max-content;
    
    font-family: "Zilla Slab", serif;
    font-size: 1.2rem;
    color: var(--white);
    text-align: center;
    
    background-color: var(--primary-color);
}

